import { CalendarDate } from './calendar-date';
/**
 * Calendar view
 */
export declare class CalendarView {
  private readonly _weekdays;
  private readonly _dateItems;
  constructor(weekdays: string[], dateItems: CalendarDate[][]);
  /**
   * The week head of the calendar view
   *
   * @type {string[]}
   */
  get weekdays(): string[];
  /**
   * The date items of the calendar view
   *
   * @type {CalendarDate[][]}
   */
  get dateItems(): CalendarDate[][];
}
